//
// Created by nicolas on 22/03/18.
//

#include "utils/debug.h"
#include "endpoint_discoverer.h"

const esc_node_endpoints_t* esc_static_discover(const esc_static_endpoint_discoverer_t* discover_data, const ip_endpoint_t* failed_tcp_endpoint) {
    esc_node_endpoints_t* result = malloc(sizeof(struct st_esc_node_endpoints));
    if (discover_data->use_ssl_connection) {
        result->secure_tcp_endpoint = discover_data->tcp_endpoint;
    } else {
        result->tcp_endpoint = discover_data->tcp_endpoint;
    }
    return result;
}
